Page MenuHomePhabricator

Wikimedia\Rdbms\Database::query: lost connection to {dbserver}; reconnected
Closed, ResolvedPublic8 Estimated Story Points

Description

This one appears on random page views, so stacktraces can be very different, e.g.:

#0 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/rdbms/database/Database.php(1498): Wikimedia\Rdbms\Database->query()
#1 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalPreferences/includes/Storage.php(43): Wikimedia\Rdbms\Database->select()
#2 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalPreferences/includes/GlobalPreferencesFactory.php(328): GlobalPreferences\Storage->load()
#3 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalPreferences/includes/Hooks.php(53): GlobalPreferences\GlobalPreferencesFactory->getGlobalPreferencesValues()
#4 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(177): GlobalPreferences\Hooks::onUserLoadOptions()
#5 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(205): Hooks::callHook()
#6 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(5524): Hooks::run()
#7 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(537): User->loadOptions()
#8 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/objectcache/WANObjectCache.php(1092): Closure$User::loadFromCache()
#9 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/objectcache/WANObjectCache.php(1240): Closure$WANObjectCache::getWithSetCallback()
#10 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/objectcache/WANObjectCache.php(1098): WANObjectCache->doGetWithSetCallback()
#11 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(560): WANObjectCache->getWithSetCallback()
#12 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(480): User->loadFromCache()
#13 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(405): User->loadFromId()
#14 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalUserPage/includes/GlobalUserPage.php(156): User->load()
#15 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalUserPage/includes/Hooks.php(57): MediaWiki\GlobalUserPage\GlobalUserPage::shouldDisplayGlobalPage()
#16 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(177): MediaWiki\GlobalUserPage\Hooks::onTitleIsAlwaysKnown()
#17 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(205): Hooks::callHook()
#18 /srv/mediawiki/php-1.31.0-wmf.26/includes/Title.php(4576): Hooks::run()
#19 /srv/mediawiki/php-1.31.0-wmf.26/includes/Title.php(4617): Title->isAlwaysKnown()
#20 /srv/mediawiki/php-1.31.0-wmf.26/includes/skins/Skin.php(1200): Title->isKnown()
#21 /srv/mediawiki/php-1.31.0-wmf.26/includes/skins/SkinTemplate.php(220): Skin::makeUrlDetails()
#22 /srv/mediawiki/php-1.31.0-wmf.26/includes/skins/SkinTemplate.php(303): SkinTemplate->setupTemplateForOutput()
#23 /srv/mediawiki/php-1.31.0-wmf.26/includes/skins/SkinTemplate.php(249): SkinTemplate->prepareQuickTemplate()
#24 /srv/mediawiki/php-1.31.0-wmf.26/includes/OutputPage.php(2388): SkinTemplate->outputPage()
#25 /srv/mediawiki/php-1.31.0-wmf.26/includes/MediaWiki.php(868): OutputPage->output()
#26 /srv/mediawiki/php-1.31.0-wmf.26/includes/MediaWiki.php(880): Closure$MediaWiki::main()
#27 /srv/mediawiki/php-1.31.0-wmf.26/includes/MediaWiki.php(524): MediaWiki->main()
#28 /srv/mediawiki/php-1.31.0-wmf.26/index.php(42): MediaWiki->run()
#29 /srv/mediawiki/w/index.php(3): include()
#30 {main}

or:

#0 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/rdbms/database/Database.php(1498): Wikimedia\Rdbms\Database->query()
#1 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalPreferences/includes/Storage.php(43): Wikimedia\Rdbms\Database->select()
#2 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalPreferences/includes/GlobalPreferencesFactory.php(328): GlobalPreferences\Storage->load()
#3 /srv/mediawiki/php-1.31.0-wmf.26/extensions/GlobalPreferences/includes/Hooks.php(53): GlobalPreferences\GlobalPreferencesFactory->getGlobalPreferencesValues()
#4 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(177): GlobalPreferences\Hooks::onUserLoadOptions()
#5 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(205): Hooks::callHook()
#6 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(5524): Hooks::run()
#7 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(537): User->loadOptions()
#8 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/objectcache/WANObjectCache.php(1092): Closure$User::loadFromCache()
#9 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/objectcache/WANObjectCache.php(1240): Closure$WANObjectCache::getWithSetCallback()
#10 /srv/mediawiki/php-1.31.0-wmf.26/includes/libs/objectcache/WANObjectCache.php(1098): WANObjectCache->doGetWithSetCallback()
#11 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(560): WANObjectCache->getWithSetCallback()
#12 /srv/mediawiki/php-1.31.0-wmf.26/includes/user/User.php(480): User->loadFromCache()
#13 /srv/mediawiki/php-1.31.0-wmf.26/extensions/EventBus/includes/EventBus.php(215): User->loadFromId()
#14 /srv/mediawiki/php-1.31.0-wmf.26/extensions/EventBus/includes/EventBusHooks.php(113): EventBus::createRevisionAttrs()
#15 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(177): EventBusHooks::onRevisionInsertComplete()
#16 /srv/mediawiki/php-1.31.0-wmf.26/includes/Hooks.php(205): Hooks::callHook()
#17 /srv/mediawiki/php-1.31.0-wmf.26/includes/Revision.php(1131): Hooks::run()
#18 /srv/mediawiki/php-1.31.0-wmf.26/includes/page/WikiPage.php(1920): Revision->insertOn()
#19 /srv/mediawiki/php-1.31.0-wmf.26/includes/page/WikiPage.php(1675): WikiPage->doCreate()
#20 /srv/mediawiki/php-1.31.0-wmf.26/includes/filerepo/file/LocalFile.php(1718): WikiPage->doEditContent()
#21 /srv/mediawiki/php-1.31.0-wmf.26/includes/deferred/AutoCommitUpdate.php(42): Closure$LocalFile::recordUpload2()
#22 /srv/mediawiki/php-1.31.0-wmf.26/includes/deferred/DeferredUpdates.php(259): AutoCommitUpdate->doUpdate()
#23 /srv/mediawiki/php-1.31.0-wmf.26/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate()
#24 /srv/mediawiki/php-1.31.0-wmf.26/includes/deferred/DeferredUpdates.php(127): DeferredUpdates::execute()
#25 /srv/mediawiki/php-1.31.0-wmf.26/includes/MediaWiki.php(606): DeferredUpdates::doUpdates()
#26 /srv/mediawiki/php-1.31.0-wmf.26/includes/api/ApiMain.php(557): MediaWiki::preOutputCommit()
#27 /srv/mediawiki/php-1.31.0-wmf.26/includes/api/ApiMain.php(513): ApiMain->executeActionWithErrorHandling()
#28 /srv/mediawiki/php-1.31.0-wmf.26/api.php(94): ApiMain->execute()
#29 /srv/mediawiki/w/api.php(3): include()
#30 {main}

Event Timeline

MaxSem created this task.Mar 21 2018, 10:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2018, 10:41 PM
TBolliger triaged this task as High priority.Mar 22 2018, 5:46 PM
TBolliger set the point value for this task to 8.Mar 28 2018, 11:30 PM

Niharika bets this is actually a 3, but we'll see.

Samwilson added a subscriber: aaron.Apr 3 2018, 3:44 AM

@aaron are you able to help us shed any light on what might be causing this?

<cough>Told you so.</cough>

Samwilson closed this task as Resolved.Apr 12 2018, 3:18 AM
Samwilson moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.

We didn't see any more of these errors in the last deployment.